<?php
namespace upgrade\services;

use models\Template;
/**
 * UpdateTemplate service
 * @author Jérôme Brilland
 * @version 1.0
 * @copyright (c) 2023, Jérôme Brilland
 * @license http://www.gnu.org/licenses/gpl.txt GNU General Public License
 */
class UpdateTemplates {

    public function perform() {
        $database = \IoC::resolve( 'database' );
        $templates = Template::findMany( '*', ['content[~]' => '{siteTitle}'] );
        
        foreach( $templates as $template ) {
            $template->content = str_replace( '{siteTitle}', '{siteTitle()}', $template->content );
            $template->save();
            if ( $database->error ) {
                return ['success' => false, 'error' => $database->error];
            }
        }
        
        $templates = Template::findMany( '*', ['content[~]' => '%{_}%'] );
        
        foreach( $templates as $template ) {
            $template->content = str_replace( ['{_}', '{/_}'], ['{_\'', '\'}'], $template->content );
            $template->save();
            if ( $database->error ) {
                return ['success' => false, 'error' => $database->error];
            }
        }
        
        return ['success' => true];
    }

}
